# setup.py
# Copyright 2011 Roger Marsh
# Licence: See LICENCE (BSD licence)

import sys
from distutils.core import setup

setup(
    name='iteration',
    version='0.1',
    description='Chess performance calculation by iteration demonstrator',
    author='solentware.co.uk',
    author_email='roger.marsh@solentware.co.uk',
    url='http://www.solentware.co.uk',
    py_modules=[
        'chessrank.ECFresults',
        'chessrank.demonstrator',
        'chessrank.grade',
        'chessrank.parseECFfile',
        'chessrank.performance',
        'chessrank.rmstats',
        ],
    data_files=[(
        '',['chessrank/LICENCE'],
        )],
    long_description='''Chess performance calculation by iteration

    Demonstrate the calculation of chess performance by iteration.

    Extract results from a folder containing just files of results for
    submission to the English Chess Federation (ECF) for grading.  Calculate
    each players performance by iteration until the calculated numbers stop
    changing much.

    The standard opponents number + 50 points for a win, -50 for a loss, and
    opponents number for a draw, is used.
    
    ''',
    )
